.to-top {
    background: rgb(75, 47, 255);
    position: fixed;
    bottom: 16px;
    right:32px;
    width:60px;
    height:60px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size:40px;
    color:#fff;
    text-decoration: none;
    opacity:0;
    pointer-events: none;
    transition: all .4s;
  }
  
  .to-top.active {
    bottom:32px;
    pointer-events: auto;
    opacity:1;
  }
  .to-top:hover{
    color: #000;
    background-color: yellow;
  }